Products
Get product by ID
Retrieve a single product by ID
GET
/
products
/
{id}
Get product by ID
curl --request GET \
--url https://integrations.clopos.com/open-api/v2/products/{id} \
--header 'x-token: <api-key>'const options = {method: 'GET', headers: {'x-token': '<api-key>'}};
fetch('https://integrations.clopos.com/open-api/v2/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://integrations.clopos.com/open-api/v2/products/{id}"
headers = {"x-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"full_name": "<string>",
"status": 123,
"price": 123,
"cost_price": 123,
"has_modifications": true,
"modifications": [
{
"id": 123,
"parent_id": 123,
"type": "MODIFICATION",
"name": "<string>",
"price": 123,
"cost_price": 123,
"barcode": "<string>",
"full_name": "<string>",
"status": 123
}
],
"modificator_groups": [
{
"id": 123,
"name": "<string>",
"type": 123,
"min_select": 123,
"max_select": 123,
"modificators": [
{
"id": 123,
"name": "<string>",
"price": 123,
"cost_price": 123,
"max_count": 123,
"status": true,
"ingredient": "<unknown>"
}
]
}
],
"recipe": [
{
"id": 123,
"name": "<string>",
"cost_price": 123,
"pivot": {
"gross": "<string>"
}
}
],
"packages": [
{
"id": 123,
"name": "<string>",
"equal": 123
}
],
"setting": {
"interval": 123,
"prices": [
{
"price": 123,
"from": 123
}
]
},
"taxes": [
{
"id": 123,
"name": "<string>",
"rate": 123
}
],
"tags": [
{}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
JWT access token obtained from /v2/auth endpoint
Path Parameters
Product ID
Response
Product retrieved successfully
Available options:
GOODS, DISH, TIMER, PREPARATION, INGREDIENT, MODIFICATION Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get product by ID
curl --request GET \
--url https://integrations.clopos.com/open-api/v2/products/{id} \
--header 'x-token: <api-key>'const options = {method: 'GET', headers: {'x-token': '<api-key>'}};
fetch('https://integrations.clopos.com/open-api/v2/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://integrations.clopos.com/open-api/v2/products/{id}"
headers = {"x-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"full_name": "<string>",
"status": 123,
"price": 123,
"cost_price": 123,
"has_modifications": true,
"modifications": [
{
"id": 123,
"parent_id": 123,
"type": "MODIFICATION",
"name": "<string>",
"price": 123,
"cost_price": 123,
"barcode": "<string>",
"full_name": "<string>",
"status": 123
}
],
"modificator_groups": [
{
"id": 123,
"name": "<string>",
"type": 123,
"min_select": 123,
"max_select": 123,
"modificators": [
{
"id": 123,
"name": "<string>",
"price": 123,
"cost_price": 123,
"max_count": 123,
"status": true,
"ingredient": "<unknown>"
}
]
}
],
"recipe": [
{
"id": 123,
"name": "<string>",
"cost_price": 123,
"pivot": {
"gross": "<string>"
}
}
],
"packages": [
{
"id": 123,
"name": "<string>",
"equal": 123
}
],
"setting": {
"interval": 123,
"prices": [
{
"price": 123,
"from": 123
}
]
},
"taxes": [
{
"id": 123,
"name": "<string>",
"rate": 123
}
],
"tags": [
{}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}